Recalculate price

post

/fscmRestApi/resources/11.13.18.05/draftPurchaseOrders/{draftPurchaseOrdersUniqID}/child/lines/{POLineId}/action/recalculatePrice

Recalculates price on the purchase order or change order line that are sourced to blanket purchase agreement.

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Draft Purchase Orders resource and used to uniquely identify an instance of Draft Purchase Orders. The client should not generate the hash key value. Instead, the client should query on the Draft Purchase Orders collection resource in order to navigate to a specific instance of Draft Purchase Orders to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • Name of the party that requested the recalculatePrice custom action on the purchase order or change order line. Valid values are buyer, supplier, and requester.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top

Examples

Price recalculation examples for purchase orders and change orders.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/draftPurchaseOrders/draftPurchaseOrdersUniqID/child/lines/POLineId/action/recalculatePrice"

For example:

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version//draftPurchaseOrders/draftPurchaseOrdersUniqID/child/lines/POLineId/action/recalculatePrice"

Example1 describes how to recalculate price on a purchase order line on an incomplete purchase order. To recalculate price for a purchase order change order, specify an initiating party. Valid values for initiating party are requester, buyer, and supplier. Initiating party isn’t required to recalculate price for an incomplete purchase order.

Example1 Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
    "name":"recalculatePrice"
   }

Example1 Response Body

The following example includes the contents of the response body in JSON format:

Success Code 200

Example2 describes how to recalculate price on a change order line. To recalculate price for a purchase order change order, specify an initiating party. Valid values for initiating party are requester, buyer, and supplier. Initiating party isn’t required to recalculate price for an incomplete purchase order.

Example2 Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
    "name":"recalculatePrice",
    "parameters": [
        {
            "initiatingParty": "Buyer"
        }
    ]
}

Example2 Response Body

The following example includes the contents of the response body in JSON format:

{
    Success Code 200
}
Back to Top